What are Joomla 2.5 requirements?

The minimal Joomla 2.5 server requirements are as follows:

  • PHP 5.2.4 or above;
  • MySQL 5.0.4 or above;
  • Apache 1.3.42 or 2.x or above;

The following additional server-side configuration is recommended:

  • PHP in suEXEC mod running as a CGI wrapper, especially suitable on shared hosting;
  • register_globals turned off in PHP;
  • Linux OS platform.

SiteGround servers are optimized to meet all Joomla requirements and to provide the best hosting environment for it.

Joomla is a powerful software that is easy to work with once you have the right host to support you. Before you lose any more time with the wrong host, check out the SiteGround Joomla hosting offer.